Skip to content
Permalink
Browse files
add bindings to QgsProjectVersion
git-svn-id: http://svn.osgeo.org/qgis/trunk@15633 c8812cc2-4d05-0410-92ff-de0c093fc19c
  • Loading branch information
jef committed Mar 28, 2011
1 parent 3cd6998 commit 8ed21743530a3630e99d77d9a4f408d7ae8bc930
Showing with 38 additions and 0 deletions.
  1. +1 −0 python/core/core.sip
  2. +37 −0 python/core/qgsprojectversion.sip
@@ -53,6 +53,7 @@
%Include qgspluginlayerregistry.sip
%Include qgspoint.sip
%Include qgsproject.sip
%Include qgsprojectversion.sip
%Include qgsprovidermetadata.sip
%Include qgsproviderregistry.sip
%Include qgsrasterbandstats.sip
@@ -0,0 +1,37 @@
/** \ingroup core
* A class to describe the version of a project.
* Used in places where you need to check if the current version
* of QGIS is greater than the one used to create a project file.
*/

class QgsProjectVersion
{
%TypeHeaderCode
#include "qgsprojectversion.h"
%End

public:

QgsProjectVersion();
~QgsProjectVersion();
QgsProjectVersion( int major, int minor, int sub, QString name = "" );
QgsProjectVersion( QString string );
int majorVersion();
int minorVersion();
int subVersion();
QString text();

/*! Boolean equal operator
*/
bool operator==( const QgsProjectVersion &other );

/*! Boolean >= operator
*/
bool operator>=( const QgsProjectVersion &other );

/*! Boolean > operator
*/
bool operator>( const QgsProjectVersion &other );

};

0 comments on commit 8ed2174

Please sign in to comment.